Bug 737675 - Certificate Location accessibility name changes
Summary: Certificate Location accessibility name changes
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Bryan Kearney
QA Contact: Entitlement Bugs
URL:
Whiteboard:
Depends On:
Blocks: 771481 756082
TreeView+ depends on / blocked
 
Reported: 2011-09-12 20:55 UTC by J.C. Molet
Modified: 2013-01-10 10:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-13 21:46:26 UTC


Attachments (Terms of Use)

Description J.C. Molet 2011-09-12 20:55:06 UTC
Description of problem:
In the Import Certificate dialog in subscription-manager-gui, the certificate chooser button changes names depending on what cert is selected

Version-Release number of selected component (if applicable):
subscription-manager-gnome-0.96.9-1.git.10.adab5e3.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1.  Start rhsm-gui
2.  Go to import-certificate
3.  Using an accessibility tool (such as dogtail/sniff) note that the certificate chooser button is named "(None)"
4.  Choose a certificate using the chooser
5.  Note that both the button name and label have changed.

  
Actual results:
Both the button name and label change upon every selection of a certificate.

Expected results:
The label for this button should change but not the name of the button.

Comment 1 James Bowes 2011-09-30 17:37:31 UTC
JC, that widget is a stock gtk composite widget, made of the button and its sibling dropdown. Both of those aren't immediately or easily accessible in code to modify their a11y strings. you should be able to use the reference to their parent widget (the file chooser button itself) for a11y access/manipulation. its a11y name is certificate_chooser_button. Will that work for you?

Comment 2 J.C. Molet 2011-10-05 12:44:45 UTC
Hi James,

The certificate_chooser_button is of object type "filler" and does not have any action interface  (where a normal button will have "press release click").  Although it has the properties "Sensitive" and "Focusable" you can't directly interact with it.

Having said that, I believe I can work around this in my automation either by predicting what the button name would be, or by restarting the gui for every use of this menu.  This wouldn't work for a normal accessibility use case though.

Comment 3 Bryan Kearney 2012-02-10 15:28:25 UTC
Is there anything to do here, or close this out?

Comment 6 RHEL Product and Program Management 2012-07-10 08:49:09 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 7 RHEL Product and Program Management 2012-07-11 02:07:48 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 8 Bryan Kearney 2012-11-13 21:46:26 UTC
Per Comment 3, closing this out.


Note You need to log in before you can comment on or make changes to this bug.